%global gem_name espeak-ruby

Name: rubygem-%{gem_name}
Version: 1.0.2
Release: 1%{?dist}
Summary: API for utilizing ‘espeak’ and ‘lame’ to create Text-To-Speech mp3 files
Group: Development/Languages
License: MIT
URL: https://github.com/dejan/espeak-ruby
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: rubygems-devel 
BuildRequires: ruby 
BuildArch: noarch
Requires:    espeak

%description
Espeak-ruby is small Ruby API for utilizing ‘espeak’ and ‘lame’ to create
Text-To-Speech mp3 files.


%package doc
Summary: Documentation for %{name}
Group: Documentation
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
gem unpack %{SOURCE0}

%setup -q -D -T -n  %{gem_name}-%{version}

gem spec %{SOURCE0} -l --ruby > %{gem_name}.gemspec

%build
# Create the gem as gem install only works on a gem file
gem build %{gem_name}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/

# Run the test suite
%check
pushd .%{gem_instdir}

popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.*
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/test


%changelog
* Sun Jun 28 2015 Carlos Morel-Riquelme <leinfevia@fedoraproject.org> - 1.0.2-1
- Initial package
